Skip to content

Get application details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get application details through application ID.

Method name

ManagementClient.getApplication

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getApplication({
    appId: "6229ffaxxxxxxxxcade3e3d9",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: ApplicationSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ApplicationDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "appId": "62eaa95fe0xxxx9a5295bf7c",
    "appIdentifier": "example",
    "appName": "Sample application",
    "appLogo": "Sample application",
    "appDescription": "Sample description information",
    "appType": "web",
    "defaultProtocol": "oidc",
    "redirectUris": "[\"https://example.com/callback\"]",
    "logoutRedirectUris": "[\"https://example.com/logout-callback\"]",
    "initLoginUri": "[\"https://example.com/login\"]",
    "ssoEnabled": true,
    "ssoEnabledAt": "2022-07-03T03:20:30.000Z",
    "loginConfig": {
      "enabledBasicLoginMethods": "[\"EMAIL_CODE\",\"EMAIL_PASSWORD\"]",
      "defaultLoginMethod": {
        "connectionType": "QRCODE",
        "qrcodeExtIdpConnId": "6303a2bf2xxxxx7f665f01bf1"
      },
      "enabledExtIdpConns": "[\"6303a2bf2xxxx7f665f01bf1\",\"6321397b6xxxx1b8481ccfc0\"]"
    },
    "registerConfig": {
      "enabledBasicRegisterMethods": "[\"EMAIL_CODE\",\"PHONE_CODE\"]",
      "defaultRegisterMethod": { "connectionType": "PASSWORD" }
    },
    "brandingConfig": {
      "customCSS": "/* \nEdit login page css\neg:\n.authing-guard-layout {\n background: black !important;\n}\nChange the background color\n*/",
      "guardVersion": "Advanced",
      "customLoadingImage": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "customBackground": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "defaultLanguage": "zh-CN",
      "showForgetPasswordButton": true,
      "showEnterpriseConnections": true,
      "showSocialConnections": true,
      "agreements": {
        "displayAt": "[\"LoginPage\",\"RegisterPage\"]",
        "isRequired": true,
        "lang": "zh-CN",
        "content": "I have read and agreed to the Privacy Agreement and Terms of Service"
      }
    },
    "oidcConfig": {},
    "samlConfig": {},
    "oauthConfig": {},
    "casConfig": {},
    "template": "github"
  }
}

Data structure

ApplicationDto

NameTypeIs it required?DescriptionExample value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringYesApplication unique identifierexample
appNamestringYesApplication nameExample application
appLogostringyesApp Logo linkSample App
appDescriptionstringnoApp descriptionSample description
appTypestringyesApp typeweb
userPoolIdstringyesUser pool ID
isIntegrateAppbooleanyesIs it an integrated app?
defaultProtocolstringyesDefault application protocol typeoidc
redirectUrisarrayyesApp login callback URL["https://example.com/callback"]
logoutRedirectUrisarrayyesApp logout callback URL["https://example.com/logout-callback"]
initLoginUristringyesInitiate login URL: When you click "Experience Login" in the GenAuth app details or click the app icon in the app panel, you will be redirected to this URL. The default is GenAuth Login page.["https://example.com/login"]
ssoEnabledbooleanyesWhether to enable SSO single sign-ontrue
ssoEnabledAtstringnoTime to enable SSO single sign-on2022-07-03T03:20:30.000Z
loginConfigyesLogin configuration Nested type: <a ApplicationLoginConfigDto.
registerConfigyesRegistration configuration Nested type: <a ApplicationRegisterConfig.
brandingConfigyesBranding configuration Nested type: <a ApplicationBrandingConfig.
oidcConfigYesOIDC protocol configuration Nested type: <a OIDCConfig.
samlProviderEnabledbooleanYesWhether to enable SAML identity provider
samlConfigNoSAML protocol configuration Nested type: <a SamlIdpConfig.
oauthProviderEnabledbooleanYesWhether to enable OAuth identity provider
oauthConfigNoOAuth2.0 protocol configuration Nested type: <a OauthIdpConfig.
casProviderEnabledbooleanyesWhether to enable CAS identity provider
casConfignoCAS protocol configuration Nested type: <a CasIdPConfig.
customBrandingEnabledbooleanyesWhether to customize the login box of this application. The global login box configuration is used by default.
customSecurityEnabledbooleanyesWhether to customize the security rules of this application. The global security configuration is used by default.
templatestringNoTemplate type for integrated applicationsgithub

ApplicationLoginConfigDto

NameTypeIs it required?DescriptionSample value
mergeLoginAndRegisterPagebooleanYesWhether to enable login and registration merge
enabledBasicLoginMethodsarrayYesBasic login method enabled["EMAIL_CODE","EMAIL_PASSWORD"]
defaultLoginMethodYesApplication default login method (excluding social login and enterprise identity source login) Nested type: <a ApplicationDefaultLoginMethod.{"connectionType":"QRCODE","qrcodeExtIdpConnId":"6303a2bf2xxxxx7f665f01bf1"}
enabledExtIdpConnsarrayYesEnabled external identity source connections Nested type: <a ApplicationEnabledExtIdpConnDto.["6303a2bf2xxxx7f665f01bf1","6321397b6xxxx1b8481ccfc0"]
showAuthorizationPagebooleanyesWhether to display the user authorization page

ApplicationDefaultLoginMethod

NameTypeIs it requiredDescriptionExamplevalue
connectionTypestringyesDefault login type
- PASSWORD: Password type, depends on the basic login method you enable, supports mobile phone number/email/user name + password for login
- PASSCODE: Verification code type, depends on the basic login method you enable, supports mobile phone number/email + verification code for login
- QRCODE: Scan code login type, currently includes self-built APP scan code login, WeChat public account scan code login, WeChat mini program scan code login three types
PASSCODE
qrcodeTypestringyesWhen connectionType is QRCODE, this parameter indicates the QR code type.
- SELF_BUILT_APP: Scan the QR code of self-built APP
- WECHAT_OFFICIAL_ACCOUNT: Scan the QR code to follow the WeChat official account to log in
- WECHAT_MINI_PROGRAM: Scan the QR code to log in the WeChat mini program
SELF_BUILT_APP
qrcodeExtIdpConnIdstringyesWhen connectionType is QRCODE, you need to specify the ID of the specific identity source connection for scanning the QR code to log in through this parameter.6303a2bf2xxxxx7f665f01bf1
adExtIdpConnIdstringyesWhen connectionType is AD, you need to specify the ID of the specific AD identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1
ldapExtIdpConnIdstringyesWhen connectionType is LDAP, you need to specify the ID of the specific LDAP identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1

ApplicationEnabledExtIdpConnDto

NameTypeIs it required?DescriptionSample value
isSocialbooleanYesIs it a social login identity source connection?true
extIdpIdstringYesIdentity source ID6303a2bf2xxxxx7f665f01bf1
extIdpTypestringYesIdentity source typeoidc
extIdpConnIdstringyesIdentity source connection ID6303a2bf2xxxxx7f665f01bf1
extIdpConnTypestringyesIdentity source connection typeoidc
extIdpConnIdentifierstringyesIdentity source connection readable unique flag6303a2bf2xxxxx7f665f01bf1
extIdpConnDisplayNamestringyesWeChat6303a2bf2xxxxx7f665f01bf1
extIdpConnLogostringyesIdentity source connection Logohttps://files.authing.co/authing-console/social-connections/wechatBrowser.svg
enabledbooleannoWhether to allow identity source connection

ApplicationRegisterConfig

NameTypeIs it requiredDescriptionSample value
enabledBasicRegisterMethodsarrayyesEnabled registration method["EMAIL_CODE","PHONE_CODE"]
defaultRegisterMethodstringyesDefault registration type
- PASSWORD: Password type, supports email + password login
- PASSCODE: Verification code type, depends on the registration method you enable, supports mobile phone number/email + verification code login
PASSCODE

ApplicationBrandingConfig

NameTypeIs it requiredDescriptionSample value
customCSSEnabledbooleanyesWhether to enable custom CSS
customCSSstringnoCustom CSS content`/*

Edit login page css eg: .authing-guard-layout { background: black !important; } Change the background color */| | guardVersion | string | yes | Guard version: <br>-Advanced: Advanced version <br>- Classical: Classic version <br> | Advanced | | customLoadingImage | string | no | Custom loading icon, displayed when the login box is loading | https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png` | | customBackground | string | no | Custom login page background, example:
- Image background: url(https://files.authing.co/user-contents/photos/6c6b3726-4a04-4ba7-b686-1a275f81a47a.png) center/cover
- Solid color background: rgba(37,49,122,1)
| https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png | | showChangeLanguageButton | boolean | yes | Whether to display the switch language button | | | defaultLanguage | string | yes | Default language:
- zh-CN: Simplified Chinese
- zh-TW: Traditional Chinese
- en-US: English
- ja-JP: Japanese
| zh-CN | | showForgetPasswordButton | boolean | yes | Whether to show the Forget Password button | true | | showEnterpriseConnections | boolean | yes | Whether to show the enterprise identity source login method | true | | showSocialConnections | boolean | yes | Whether to show the social login method | true | | showAgreement | boolean | yes | Whether to display the login registration agreement | | | agreements | array | yes | The displayed login registration agreement list Nested type: <a ApplicationAgreementDto. | |

ApplicationAgreementDto

NameTypeIs it required?DescriptionSample value
displayAtarrayYesPages to display (multiple selections are allowed):
- LoginPage: Login page
- RegisterPage: Registration page
["LoginPage","RegisterPage"]
isRequiredbooleanYesIs it required to be checked?true
langstringYesWhat language is this agreement valid for:
- zh-CN: Simplified Chinese
- zh-TW: Traditional Chinese
- en-US: English
- ja-JP: Japanese
zh-CN
contentstringyesWhat language is this agreement valid forI have read and agreed to the Privacy Agreement and Terms of Service

OIDCConfig

NameTypeIs it requiredDescriptionSample value

SamlIdpConfig

NameTypeIs it requiredDescriptionSample value

OauthIdpConfig

NameTypeIs it requiredDescriptionSample value

CasIdPConfig

NameTypeIs it requiredDescriptionSample value

Agent infrastructure for identity, memory, and web action.